---
title: GeolocationCoordinates.altitude
slug: Web/API/GeolocationCoordinates/altitude
tags:
  - API
  - Geolocation API
  - GeolocationCoordinates
  - Property
  - Secure context
  - altitude
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>GeolocationCoordinates.altitude</strong></code> read-only property is a <code>double</code> representing the altitude of the position in meters above the <a href="http://earth-info.nga.mil/GandG/publications/tr8350.2/wgs84fin.pdf">WGS84</a> ellipsoid (which defines the nominal sea level surface). This value is <code>null</code> if the implementation cannot provide this data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>let alt</em> = <code><em>geolocationCoordinatesInstance</em><code>.altitude</code></code>
</pre>

<h3 id="Value">Value</h3>

<p>A <code>double</code> representing the altitude of the position in meters above the <a href="http://earth-info.nga.mil/GandG/publications/tr8350.2/wgs84fin.pdf">WGS84</a> ellipsoid.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#dom-geolocationcoordinates-altitude', 'Coordinates.altitude')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationCoordinates.altitude")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using">Using the Geolocation API</a></li>
 <li>The {{domxref("GeolocationCoordinates")}} interface it belongs to.</li>
 <li><a href="http://earth-info.nga.mil/GandG/publications/tr8350.2/wgs84fin.pdf">National Imagery and Mapping Agency Technical Report 8350.2, Third Edition (WGS84)</a></li>
</ul>
